<ui:composition xmlns="http://www.w3.org/1999/xhtml"
	xmlns:ui="http://java.sun.com/jsf/facelets"
	xmlns:h="http://java.sun.com/jsf/html"
	xmlns:p="http://primefaces.org/ui"
	xmlns:f="http://java.sun.com/jsf/core"
	template="/templates/template.xhtml">
	<ui:define name="content">
        <p:outputLabel value="Origen de la Demanda : "/>
        <p:separator />
    <h:form rendered="#{!derivadorMB.editMode}">>
		<p:commandButton value="Nuevo" action="#{derivadorMB.reset}" ajax="false"/>
        <p:separator />
        <p:dataTable id="derivador" var="ent" value="#{derivadorMB.list}" widgetVar="tablaDerivador"
                 emptyMessage="No hay resultados para esa busqueda">
            
            <f:facet name="header">
	            <p:outputPanel>
	                <p:outputLabel value="Buscar por Origen de la Demanda:" />
	                <p:inputText id="globalFilter" onkeyup="PF('derivador').filter()" style="width:250px" placeholder="Ingrese su busqueda..."/>
	            </p:outputPanel>
        	</f:facet>
            
            <p:column filterBy="#{ent.descripcion}" headerText="Derivador" filterMatchMode="contains">
                <p:outputLabel value="#{ent.descripcion}" />
            </p:column>
                 
            <p:column>
                <f:facet name="header">
                    <p:outputLabel value="Editar" />
                </f:facet>
                <p:commandButton id="edit" action="#{derivadorMB.edit(ent)}" icon="ui-icon-pencil" ajax="false">
                </p:commandButton>
            </p:column>
            <p:column>
                <f:facet name="header">
                    <p:outputLabel value="Borrar" />
                </f:facet>
				<p:commandButton id="delete" icon="ui-icon-trash" update=":header-form:messages derivador" action="#{derivadorMB.delete(ent)}">
                	<p:confirm header="Atención" message="Está seguro que desea borrar el Derivador?" icon="ui-icon-alert" />
                </p:commandButton>
            </p:column>            
            
        </p:dataTable>
        <p:separator />
		<p:commandButton id="add" value="Nuevo" action="#{derivadorMB.reset}" ajax="false"/>
		<p:confirmDialog global="true" showEffect="fade" hideEffect="fade">
        	<p:commandButton value="Si" type="button" styleClass="ui-confirmdialog-yes" icon="ui-icon-check" />
        	<p:commandButton value="No" type="button" styleClass="ui-confirmdialog-no" icon="ui-icon-close" />
    	</p:confirmDialog>
    	<input type="hidden" name="${_csrf.parameterName}" value="${_csrf.token}"/>
    </h:form>
    <h:form rendered="#{derivadorMB.editMode}">
         <p:panelGrid columns="3" >
            
                <p:outputLabel for="nombre" value="Origen de la Demanda : " />
                <p:inputText id="nombre" value="#{derivadorMB.instance.descripcion}" label="Derivador" required="true"/>
                <p:message for="nombre" display="icon"/>
           		
        </p:panelGrid>
        <p:commandButton id="add" value="Guardar" action="#{derivadorMB.save}" ajax="false"/>
        <p:commandButton id="cancel" value="Cancelar" action="#{derivadorMB.cancel}" ajax="false" immediate="true"/>
        <input type="hidden" name="${_csrf.parameterName}" value="${_csrf.token}"/>    
    </h:form>
	</ui:define>
</ui:composition>
